import React from 'react';
import { Global } from '@emotion/react';

import 'reset-css';

const Layout = ({ children }) => (
  <>
    <Global
      styles={{
        body: {
          WebkitTextSizeAdjust: '100%',
          width: '100%',
          height: '100%',
          position: 'relative'
        },
        '*|*:link': {
          textDecoration: 'inherit',
          color: 'inherit'
        },
        '*': {
          WebkitFontSmoothing: 'antialiased',
          textRendering: 'optimizeLegibility',
          MozOsxFontSmoothing: 'grayscale'
        }
      }}
    />
    {children}
  </>
);

export default Layout;
